"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Profile = Profile;
var _react = _interopRequireWildcard(require("react"));
var _reactNative = require("react-native");
var _AuthContext = require("../context/Auth/AuthContext");
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
function Profile(_ref) {
  let {} = _ref;
  const {
    dataBank
  } = (0, _react.useContext)(_AuthContext.AuthContext);
  return /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: styles.container
  }, /*#__PURE__*/_react.default.createElement(_reactNative.View, null, /*#__PURE__*/_react.default.createElement(_reactNative.Text, {
    style: styles.textoCuenta
  }, "Hola, ", `${dataBank && dataBank.customer.fullName ? dataBank.customer.fullName : ""}`, " "), /*#__PURE__*/_react.default.createElement(_reactNative.Text, null, "\xDAltima Sesi\xF3n: 8 dic 2022 /10:17")), /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: styles.containerIcono
  }));
}
const styles = _reactNative.StyleSheet.create({
  textoCuenta: {
    fontWeight: 'bold',
    fontSize: 24,
    color: "black"
  },
  container: {
    padding: 20,
    flex: 1,
    flexDirection: 'row',
    justifyContent: 'space-between'
  },
  icono: {
    fontSize: 30,
    color: '#422d4e'
  },
  containerIcono: {
    display: 'flex',
    justifyContent: 'center',
    alignItems: 'center'
  }
});
//# sourceMappingURL=Profile.js.map