import { View, Text, StyleSheet, Pressable } from 'react-native';
import React from 'react';
import { useRoute } from '@react-navigation/native';
export const InformacionSabiasQue = () => {
  const route = useRoute();
  const [data, setData] = React.useState(route.params.key);
  React.useEffect(() => {
    setData(route.params.key);
    console.log(data);
    // eslint-disable-next-line react-hooks/exhaustive-deps
  }, [route.params.key]);
  return /*#__PURE__*/React.createElement(View, null, data && data.map((item, key) => /*#__PURE__*/React.createElement(View, {
    key: `${item.text} ${item.title + key}`,
    style: styles.container
  }, /*#__PURE__*/React.createElement(Text, {
    style: styles.title
  }, item.title), /*#__PURE__*/React.createElement(Text, {
    style: styles.text
  }, item.text))), /*#__PURE__*/React.createElement(View, {
    style: styles.container1
  }, /*#__PURE__*/React.createElement(Pressable, {
    style: styles.button
  }, /*#__PURE__*/React.createElement(Text, null, "Regresar"))));
};
const styles = StyleSheet.create({
  container: {
    marginBottom: 40,
    marginHorizontal: 20,
    marginTop: 20
  },
  container1: {
    marginBottom: 40,
    marginHorizontal: 20,
    marginTop: 20
  },
  title: {
    fontSize: 20,
    fontWeight: 'bold'
  },
  text: {
    marginTop: 10,
    fontSize: 18
  },
  button: {
    backgroundColor: 'yellow',
    width: '100%',
    height: 50,
    borderRadius: 10,
    justifyContent: 'center',
    alignItems: 'center',
    color: 'black',
    marginTop: 20
  }
});
//# sourceMappingURL=InformacionSabiasQue.js.map