"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.QRFlotante = void 0;
var _react = _interopRequireDefault(require("react"));
var _reactNative = require("react-native");
var _FontAwesome = _interopRequireDefault(require("react-native-vector-icons/FontAwesome"));
var _native = require("@react-navigation/native");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
const QRFlotante = () => {
  const navigate = (0, _native.useNavigation)();
  return /*#__PURE__*/_react.default.createElement(_reactNative.View, null, /*#__PURE__*/_react.default.createElement(_reactNative.Pressable, {
    onPress: () => navigate.navigate("CamaraQrNavigate"),
    style: styles.container
  }, /*#__PURE__*/_react.default.createElement(_reactNative.Text, {
    style: styles.cont
  }, " Escanear QR"), /*#__PURE__*/_react.default.createElement(_FontAwesome.default, {
    name: "qrcode",
    size: 25,
    color: "white"
  })));
};
exports.QRFlotante = QRFlotante;
const styles = _reactNative.StyleSheet.create({
  cont: {
    color: 'white',
    fontWeight: 'bold',
    paddingRight: 10
  },
  container: {
    position: 'absolute',
    right: 15,
    bottom: 40,
    width: 160,
    height: 50,
    display: 'flex',
    flexDirection: 'row',
    justifyContent: 'center',
    alignItems: 'center',
    backgroundColor: '#572364',
    borderRadius: 150
  }
});
//# sourceMappingURL=QRFlotante.js.map